[pinto] 02/02: Fixed indent to debian/pinto.* files.
Oleg Gashev
oleg at gashev.net
Sat Sep 14 18:23:54 UTC 2013
This is an automated email from the git hooks/post-receive script.
gashev-guest pushed a commit to branch master
in repository pinto.
commit 7a3724679299096c8f6a187264593a13368affac
Author: Oleg Gashev <oleg at gashev.net>
Date: Sat Sep 14 18:22:14 2013 +0000
Fixed indent to debian/pinto.* files.
---
debian/pinto.config | 34 +++++++-------
debian/pinto.init | 120 ++++++++++++++++++++++++-------------------------
debian/pinto.postinst | 80 ++++++++++++++++-----------------
debian/pinto.postrm | 24 +++++-----
4 files changed, 129 insertions(+), 129 deletions(-)
diff --git a/debian/pinto.config b/debian/pinto.config
index 0bbc56d..315d161 100644
--- a/debian/pinto.config
+++ b/debian/pinto.config
@@ -5,23 +5,23 @@ set -e
. /usr/share/debconf/confmodule
while [ ! "$passwordsmatch" ]; do
- #only ask for a password if no htpasswd exists
- test -f /etc/pinto/htpasswd.users && break
- db_input high pinto/adminpassword || true
- db_input high pinto/adminpassword-repeat || true
- db_go || true
- db_get pinto/adminpassword
- p1="$RET"
- db_get pinto/adminpassword-repeat
- p2="$RET"
- if [ "$p1" = "$p2" ]; then
- passwordsmatch="yes"
- else
- db_fset pinto/adminpassword seen false
- db_fset pinto/adminpassword-repeat seen false
- db_fset pinto/adminpassword-mismatch seen false
- db_input critical pinto/adminpassword-mismatch || true
- fi
+ #only ask for a password if no htpasswd exists
+ test -f /etc/pinto/htpasswd.users && break
+ db_input high pinto/adminpassword || true
+ db_input high pinto/adminpassword-repeat || true
+ db_go || true
+ db_get pinto/adminpassword
+ p1="$RET"
+ db_get pinto/adminpassword-repeat
+ p2="$RET"
+ if [ "$p1" = "$p2" ]; then
+ passwordsmatch="yes"
+ else
+ db_fset pinto/adminpassword seen false
+ db_fset pinto/adminpassword-repeat seen false
+ db_fset pinto/adminpassword-mismatch seen false
+ db_input critical pinto/adminpassword-mismatch || true
+ fi
done
db_go || true
diff --git a/debian/pinto.init b/debian/pinto.init
index c88862b..d254011 100644
--- a/debian/pinto.init
+++ b/debian/pinto.init
@@ -28,81 +28,81 @@ set -e
. /lib/lsb/init-functions
check_started () {
- if [ -f "$PIDFILE" ]; then
- pid="$(cat $PIDFILE)"
- if [ "$pid" ] && kill -0 $pid >/dev/null 2>/dev/null; then
- return 0 # Is started
- fi
- fi
- return 1 # Isn't started
+ if [ -f "$PIDFILE" ]; then
+ pid="$(cat $PIDFILE)"
+ if [ "$pid" ] && kill -0 $pid >/dev/null 2>/dev/null; then
+ return 0 # Is started
+ fi
+ fi
+ return 1 # Isn't started
}
start_if_configured() {
- if [ $START_PINTOD -ne 1 ]; then
- log_warning_msg "$NAME disabled: not starting. To enable it edit $DEFAULTS_FILE"
- exit 0
- fi
-
- if ! check_started; then
- log_daemon_msg "Starting $DESC" "$NAME"
- if ! START_ERROR=`start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $PINTOD_OPTS --pid $PIDFILE 2>&1`; then
- echo -n " "
- log_action_end_msg 1 "$START_ERROR"
- exit 0
- else
- log_end_msg 0
- fi
- else
- log_warning_msg "already running!"
- fi
+ if [ $START_PINTOD -ne 1 ]; then
+ log_warning_msg "$NAME disabled: not starting. To enable it edit $DEFAULTS_FILE"
+ exit 0
+ fi
+
+ if ! check_started; then
+ log_daemon_msg "Starting $DESC" "$NAME"
+ if ! START_ERROR=`start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $PINTOD_OPTS --pid $PIDFILE 2>&1`; then
+ echo -n " "
+ log_action_end_msg 1 "$START_ERROR"
+ exit 0
+ else
+ log_end_msg 0
+ fi
+ else
+ log_warning_msg "already running!"
+ fi
}
stop() {
- log_daemon_msg "Stopping $DESC" "$NAME"
- killproc -p $PIDFILE /usr/bin/starman
- RETVAL=$?
- [ $RETVAL = 0 ] && rm -f $PIDFILE
- log_end_msg "$RETVAL"
+ log_daemon_msg "Stopping $DESC" "$NAME"
+ killproc -p $PIDFILE /usr/bin/starman
+ RETVAL=$?
+ [ $RETVAL = 0 ] && rm -f $PIDFILE
+ log_end_msg "$RETVAL"
}
restart() {
- stop
- sleep 1
- start_if_configured
+ stop
+ sleep 1
+ start_if_configured
}
status() {
- log_action_begin_msg "checking $DAEMON"
- if check_started; then
- log_action_end_msg 0 "running"
- else
- if [ -e "$PIDFILE" ]; then
- log_action_end_msg 1 "$DAEMON failed"
- exit 1
- else
- log_action_end_msg 1 "not running"
- exit 3
- fi
- fi
+ log_action_begin_msg "checking $DAEMON"
+ if check_started; then
+ log_action_end_msg 0 "running"
+ else
+ if [ -e "$PIDFILE" ]; then
+ log_action_end_msg 1 "$DAEMON failed"
+ exit 1
+ else
+ log_action_end_msg 1 "not running"
+ exit 3
+ fi
+ fi
}
case "$1" in
- start)
- start_if_configured
- ;;
- stop)
- stop
- ;;
- restart|reload|force-reload)
- restart
- ;;
- status)
- status
- ;;
- *)
- log_warning_msg "Usage: $0 {start|stop|restart|reload|force-reload|status}" >&2
- exit 1
- ;;
+ start)
+ start_if_configured
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload|force-reload)
+ restart
+ ;;
+ status)
+ status
+ ;;
+ *)
+ log_warning_msg "Usage: $0 {start|stop|restart|reload|force-reload|status}" >&2
+ exit 1
+ ;;
esac
exit 0
diff --git a/debian/pinto.postinst b/debian/pinto.postinst
index 2e0a343..d5b3125 100644
--- a/debian/pinto.postinst
+++ b/debian/pinto.postinst
@@ -7,46 +7,46 @@ set -e
defaultRepositoryPath='/var/lib/pinto/repository/default'
if [ "$1" = configure ]; then
- if [ ! -e "$defaultRepositoryPath" ] ; then
- pinto -r $defaultRepositoryPath init
- else
- echo "Cannot create a new repository to $defaultRepositoryPath."
- echo "$defaultRepositoryPath already exist."
- echo "To create a new repository, remove $defaultRepositoryPath."
- echo "and exec /usr/bin/pinto -r $defaultRepositoryPath init."
- fi
-
- if [ ! -e /var/log/pinto ] ; then
- mkdir -p /var/log/pinto
- chown root:adm /var/log/pinto
- chmod 0750 /var/log/pinto
- fi
-
- if [ ! -e /var/log/pinto/access.log ] ; then
- touch /var/log/pinto/access.log
- chown root:adm /var/log/pinto/access.log
- chmod 0640 /var/log/pinto/access.log
- fi
-
- if [ ! -e /var/log/pinto/error.log ] ; then
- touch /var/log/pinto/error.log
- chown root:adm /var/log/pinto/error.log
- chmod 0640 /var/log/pinto/error.log
- fi
-
- if [ ! -e /etc/pinto ] ; then
- mkdir -p /etc/pinto
- chmod 0750 /etc/pinto
- fi
-
- db_get pinto/adminpassword
- admpass="$RET"
- htpw='/etc/pinto/htpasswd.users'
-
- if [ -n "$admpass" ]; then
- touch "$htpw"
- htpasswd -b "$htpw" pintoadmin "$admpass"
- fi
+ if [ ! -e "$defaultRepositoryPath" ] ; then
+ pinto -r $defaultRepositoryPath init
+ else
+ echo "Cannot create a new repository to $defaultRepositoryPath."
+ echo "$defaultRepositoryPath already exist."
+ echo "To create a new repository, remove $defaultRepositoryPath."
+ echo "and exec /usr/bin/pinto -r $defaultRepositoryPath init."
+ fi
+
+ if [ ! -e /var/log/pinto ] ; then
+ mkdir -p /var/log/pinto
+ chown root:adm /var/log/pinto
+ chmod 0750 /var/log/pinto
+ fi
+
+ if [ ! -e /var/log/pinto/access.log ] ; then
+ touch /var/log/pinto/access.log
+ chown root:adm /var/log/pinto/access.log
+ chmod 0640 /var/log/pinto/access.log
+ fi
+
+ if [ ! -e /var/log/pinto/error.log ] ; then
+ touch /var/log/pinto/error.log
+ chown root:adm /var/log/pinto/error.log
+ chmod 0640 /var/log/pinto/error.log
+ fi
+
+ if [ ! -e /etc/pinto ] ; then
+ mkdir -p /etc/pinto
+ chmod 0750 /etc/pinto
+ fi
+
+ db_get pinto/adminpassword
+ admpass="$RET"
+ htpw='/etc/pinto/htpasswd.users'
+
+ if [ -n "$admpass" ]; then
+ touch "$htpw"
+ htpasswd -b "$htpw" pintoadmin "$admpass"
+ fi
db_set pinto/adminpassword ""
db_set pinto/adminpassword-repeat ""
diff --git a/debian/pinto.postrm b/debian/pinto.postrm
index 2370bef..f0b4a63 100644
--- a/debian/pinto.postrm
+++ b/debian/pinto.postrm
@@ -3,18 +3,18 @@
set -e
case "$1" in
- purge)
- for d in /etc/pinto \
- /var/log/pinto \
- /var/lib/pinto ; do
- rm -rf $d 2> /dev/null || true;
- done;
- ;;
- remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
- ;;
- *)
- echo "postrm called with unknown argument \`$1'" >&2
- exit 1
+ purge)
+ for d in /etc/pinto \
+ /var/log/pinto \
+ /var/lib/pinto ; do
+ rm -rf $d 2> /dev/null || true;
+ done;
+ ;;
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
esac
#DEBHELPER#
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/pinto.git
More information about the Pkg-perl-cvs-commits
mailing list